# Copyright: 2007-2009 Paul Obermeier (obermeier@poSoft.de)
# Distributed under BSD license.

set auto_path [linsert $auto_path 0 [pwd]]

package require tcomexcel

set appId [::Excel::OpenNew false]

puts [format "%-25s: %s (%s)" "Excel Version" \
                             [::Excel::GetVersion $appId] \
                             [::Excel::GetVersion $appId true]]

puts [format "%-25s: %s" "Excel filename extension" \
                             [::Excel::GetExtString $appId]]

puts [format "%-25s: %s" "Active Printer" \
                        [::Excel::GetActivePrinter $appId]]

puts [format "%-25s: %s" "User Name" \
                        [::Excel::GetUserName $appId]]

puts [format "%-25s: %s" "Startup Pathname" \
                         [::Excel::GetStartupPath $appId]]
puts [format "%-25s: %s" "Templates Pathname" \
                         [::Excel::GetTemplatesPath $appId]]
puts [format "%-25s: %s" "Add-ins Pathname" \
                         [::Excel::GetUserLibraryPath $appId]]
puts [format "%-25s: %s" "Installation Pathname" \
                         [::Excel::GetInstallationPath $appId]]
puts [format "%-25s: %s" "User Folder Pathname" \
                         [::Excel::GetUserPath $appId]]

set workbookId [::Excel::AddWorkbook $appId]
set worksheetId [::Excel::GetWorksheetIdByIndex $workbookId 1]
set cellsId [::Excel::GetCellsId $worksheetId]

puts [format "%-30s: %s" "Appl. name (from Application)" \
         [::Excel::GetApplicationName $appId]]
puts [format "%-30s: %s" "Appl. name (from Workbook)" \
         [::Excel::GetApplicationName [::Excel::GetApplicationId $workbookId]]]
puts [format "%-30s: %s" "Appl. name (from Worksheet)" \
         [::Excel::GetApplicationName [::Excel::GetApplicationId $worksheetId]]]
puts [format "%-30s: %s" "Appl. name (from Cells)" \
         [::Excel::GetApplicationName [::Excel::GetApplicationId $cellsId]]]
                      
::Excel::Quit $appId
